package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.accident.AccidentFlightRequest;
import com.tuoheng.admin.request.accident.ReversalFlightRequest;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AirportServiceImpl implements AirportService {

    @Autowired
    private GetAirportListService getAirportListService;

    @Autowired
    private GetAirLineListService getAirLineListService;

    @Autowired
    private ExecuteTaskService executeTaskService;

    @Autowired
    private GetDroneDataByIdService getDroneDataByIdService;

    @Autowired
    private PointFlightService pointFlightService;

    @Autowired
    private ReversalFlightService reversalFlightService;

    @Override
    public JsonResult getAirportList() {
        return getAirportListService.getAirportList();
    }

    @Override
    public JsonResult getAirLineList(Integer droneId) {
        return getAirLineListService.getAirLineList(droneId);
    }

    @Override
    public JsonResult executeTask(String userId, Inspection inspection) {
        return executeTaskService.executeTask(userId, inspection);
    }

    @Override
    public JsonResult getDroneDataById(Integer airportId) {
        return getDroneDataByIdService.getDroneDataById(airportId);
    }

    @Override
    public JsonResult pointFlight(AccidentFlightRequest request) {
        return pointFlightService.pointFlight(request);
    }

    @Override
    public JsonResult reversalFlight(ReversalFlightRequest request) {
        return reversalFlightService.reversalFlight(request);
    }

}
